<div class="main-init-line-card">
  <form nz-form [formGroup]="form">
    <div nz-row [nzGutter]="16">
      <div nz-col class="gutter-row modal-input" nzLg="12">
        <mb-input-text
          formControlName="name"
          [mbType]="isSubmitted && form.controls['name'].errors ? 'error' : 'default'"
          [mbMaxLength]="50"
          [mbShowError]="isSubmitted && form.controls['name'].errors != null"
          [mbErrors]="form.controls['name'].errors"
          [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'Cấp phê duyệt bắt buộc nhập' }]"
          mbLabelText="Cấp phê duyệt <span class='label__required'>*</span>"
          mbPlaceholder="Cấp phê duyệt"
        >
        </mb-input-text>
      </div>
      <div nz-col class="gutter-row modal-input" nzLg="12">
        <mb-input-text
          formControlName="sortOrder"
          [mbType]="isSubmitted && form.controls['sortOrder'].errors ? 'error' : 'default'"
          [mbMaxLength]="20"
          [mbShowError]="isSubmitted && form.controls['sortOrder'].errors != null"
          [mbErrors]="form.controls['sortOrder'].errors"
          [mbErrorDefs]="[{ errorName: 'onlyNumber', errorDescription: 'Sort Order chỉ được nhập số' }]"
          mbLabelText="Thứ tự ưu tiên"
          mbPlaceholder="Thứ tự ưu tiên"
        >
        </mb-input-text>
      </div>
      <div nz-col class="gutter-row modal-input" nzLg="12">
        <mb-select-check-able
          [listOfSelectedValue]="data?.approvalTitle"
          [mbDataSelects]="dataCommon"
          [mbShowAction]="false"
          mbKeyLabel="jobName"
          mbKeyValue="jobId"
          mbLabelText="Chức danh người duyệt"
          mbPlaceholder="Chức danh người duyệt"
          formControlName="approvalTitle"
          (mbEventEmit)="emitValue($event, 'approvalTitle')"
        ></mb-select-check-able>
      </div>
      <div nz-col class="gutter-row modal-input" nzLg="12">
        <mb-select-check-able
          [listOfSelectedValue]="data?.signerTitle"
          mbLabelText="Chức danh người ký"
          [mbShowAction]="false"
          formControlName="signerTitle"
          [mbDataSelects]="dataCommon"
          mbKeyLabel="jobName"
          mbKeyValue="jobId"
          mbPlaceholder="Chức danh người ký"
          (mbEventEmit)="emitValue($event, 'signerTitle')"
        ></mb-select-check-able>
      </div>
      <div nz-col class="footer" nzLg="24">
        <mb-button
          mbButtonAvailableStyle="PRIMARY"
          (click)="save()"
          [mbButtonIsLoading]="issue.isOKLoading"
          mbButtonText="{{ 'development.proposed-unit.button.save' | translate }}"
        ></mb-button>
        <mb-button
          mbButtonAvailableStyle="BORDER"
          mbButtonText="{{ 'development.proposed-unit.button.cancel2' | translate }}"
          (click)="issue.hideModal()"
        ></mb-button>
      </div>
    </div>
  </form>
</div>
